For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
          • GETGet Database Status
          • GETGet Correlation Data
          • GETGet Correlation Batch Data
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTEvent-Driven Sync (EDRTS)Database Status Job Details

Get Correlation Data

GET
https://ebs.feedonomics.com/catalog/rest.php/db/:db_id/:correlation_id
GET
/catalog/rest.php/db/:db_id/:correlation_id
$curl https://ebs.feedonomics.com/catalog/rest.php/db/102345/1428ebcf7cdfd213 \
> -H "x-api-key: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "status": "success",
3 "request_timestamp": "2024-06-15T10:45:30Z",
4 "data": {
5 "link": [
6 "https://ebs.feedonomics.com/catalog/rest.php/db/102345/1428ebcf7cdfd213"
7 ]
8 }
9}
Retrieves data set based on the specified correlation ID.
Was this page helpful?
Previous

Get Database Status

Next

Get Correlation Batch Data

Built with

Authentication

x-api-keystring
API Key authentication via header

Path parameters

db_idintegerRequired
Unique ID of the database
correlation_idstringRequired
Correlation ID of the data set

Response

OK
statusstringDefaults to success
API response status.
request_timestampstring
Timestamp of the request associated with the provided correlation id.
dataobject

Errors

400
Bad Request Error
403
Forbidden Error
5XX
Server Error
502
Bad Gateway Error